<template>
  <fab :actions="fabActions"
       @issue="moveToIssue"
  ></fab>
</template>

<script>
  import fab from 'vue-fab'
    export default {
      name: "NewIssueFabButton",
      data: function () {
        return {
          fabActions: [
            {
              name: 'issue',
              icon: 'create_new_folder',
              color: '#007fff'
            }
          ]
        }
      },
      methods: {
        moveToIssue: function () {
          this.$router.push('/new-issue');
        }
      },
      components: {
        fab
      }
    }
</script>

<style scoped>

</style>
